public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/youtube-viewer/
Date: Fri, 30 Jun 2017 12:25:23 +0000 (UTC)	[thread overview]
Message-ID: <1498825507.d255de756438544d0aeb12da260cc41483a4e5af.monsieurp@gentoo> (raw)

commit:     d255de756438544d0aeb12da260cc41483a4e5af
Author:     Zoltan Puskas <zoltan <AT> sinustrom <DOT> info>
AuthorDate: Thu May 25 06:49:49 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Jun 30 12:25:07 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d255de75

net-misc/youtube-viewer: version bump to 3.2.8.

Adjusted dependencies according to release, fixed RDEPEND of video players,
allowed ffmpeg with gnutls

Gentoo-Bug: https://bugs.gentoo.org/600460

Package-Manager: Portage-2.3.6, Repoman-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/4989

 net-misc/youtube-viewer/Manifest                   |  1 +
 .../youtube-viewer/youtube-viewer-3.2.8.ebuild     | 74 ++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/net-misc/youtube-viewer/Manifest b/net-misc/youtube-viewer/Manifest
index 30d50d048d6..acfe1ef4209 100644
--- a/net-misc/youtube-viewer/Manifest
+++ b/net-misc/youtube-viewer/Manifest
@@ -2,3 +2,4 @@ DIST youtube-viewer-3.1.9.tar.gz 222276 SHA256 9b7ba2b50cea054898024bc871e231673
 DIST youtube-viewer-3.2.0.tar.gz 222528 SHA256 60a4ded8798da3cdadadf816b1c4e87c6feb697f01db70630f014584e5a2392e SHA512 bda3592874ded71e6a60d87b669d2c80999425ef2f2061e942a8db5755d9d6f2dabf038b8b7984efb1cccc3a5f9f12b2fa56290be9db871b2784b2c464367c3b WHIRLPOOL 73ec965bf4cf65d545b99d73e003ce7d74d92dcdc1f5d29c8b925e4d96e93d5924b66e06ec40e22f16119b6df6445344d650d5ca086e52aeb60a350c7ca8ce0d
 DIST youtube-viewer-3.2.4.tar.gz 224282 SHA256 ca37024ce018e31bd4c99f5df208e842f44979c07c5d31647c1fbe4e17b1b296 SHA512 06bb763460b90f26aa1671c29056374df62d4e840acb3a800f4840160535fef30e60e6655b1d4ba7423a0424384acdfc00aa068a420aa836110974a5f7152ec2 WHIRLPOOL bfeb12bacd98b6da8ecb0ee4b626a8fdc98331f21049bdd99524d65ff5de109abe859c882dac5347fa07cee704d229e64496a369ae1c3ae6d24557c4ff142b59
 DIST youtube-viewer-3.2.5.tar.gz 228801 SHA256 306199649972137e7181fac4efccb295b5c3aedc3f103975cca533db3be1f53b SHA512 093c62a3fcbfdf538ae5a205b4263ef91408e4aa7f1824a12f4b5d7b387437fe48af5914e792d743b135e1389534ddba89aaa9a1226969d3cc360515a0d885ae WHIRLPOOL 5d0168866d58ee88e6d7fa98f2a7ffdc3527203680c224bcd5998e322f6329e28cecbc33986aea764137c9917b78e65f250afe664af6fd5c308a50cfa626c869
+DIST youtube-viewer-3.2.8.tar.gz 233912 SHA256 50e26c4f9548f0211cb0dd35ade192939ec12c5aab9d0d55692223390dbb9039 SHA512 ae4012f164ff86208975968efe3460774f6740ada9badbfbb373b1e4a22b9983667d96c0f8d857431a6b344bbd061895abab39d353e850662b0b131ef9016f45 WHIRLPOOL ac0c6176ec9636e0b9192e3018f73f3ef3e5ddd4498994e024392164510607891af0ee8c487d159822ad9601552c38c6f755307274df7798b7d1dcd33ba7f041

diff --git a/net-misc/youtube-viewer/youtube-viewer-3.2.8.ebuild b/net-misc/youtube-viewer/youtube-viewer-3.2.8.ebuild
new file mode 100644
index 00000000000..3b5e362cd1b
--- /dev/null
+++ b/net-misc/youtube-viewer/youtube-viewer-3.2.8.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils gnome2-utils perl-module
+
+DESCRIPTION="A command line utility for viewing youtube-videos in Mplayer"
+HOMEPAGE="https://trizenx.blogspot.com/2012/03/gtk-youtube-viewer.html"
+SRC_URI="https://github.com/trizen/youtube-viewer/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Artistic GPL-1+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk"
+
+RDEPEND="
+	dev-perl/Data-Dump
+	dev-perl/JSON
+	dev-perl/libwww-perl[ssl]
+	dev-perl/Term-ReadLine-Gnu
+	dev-perl/LWP-Protocol-https
+	virtual/perl-Encode
+	virtual/perl-File-Path
+	virtual/perl-File-Spec
+	virtual/perl-Getopt-Long
+	virtual/perl-Scalar-List-Utils
+	virtual/perl-Term-ANSIColor
+	virtual/perl-Term-ReadLine
+	virtual/perl-Text-ParseWords
+	virtual/perl-Text-Tabs+Wrap
+	gtk? (
+		dev-perl/File-ShareDir
+		>=dev-perl/Gtk2-1.244.0
+		virtual/freedesktop-icon-theme
+		x11-libs/gdk-pixbuf:2[X,jpeg]
+	)
+	|| ( media-video/ffmpeg[openssl] media-video/ffmpeg[gnutls] )
+	|| ( media-video/mpv media-video/mplayer media-video/vlc gtk? ( media-video/smplayer ) )"
+DEPEND="dev-perl/Module-Build"
+
+src_configure() { 
+	local myconf
+	if use gtk ; then
+		myconf="--gtk-youtube-viewer"
+	fi
+	perl-module_src_configure
+}
+
+src_install() {
+	perl-module_src_install
+
+	if use gtk ; then
+		domenu share/gtk-youtube-viewer.desktop
+		doicon share/icons/gtk-youtube-viewer.png
+	fi
+}
+
+pkg_postinst() {
+	use gtk && gnome2_icon_cache_update
+	elog "Optional dependencies:"
+	optfeature "cache support" dev-perl/LWP-UserAgent-Cached
+	optfeature "faster JSON to HASH conversion" dev-perl/JSON-XS
+	optfeature "the case if there are SSL problems" dev-perl/Mozilla-CA
+	optfeature "printing results in a fixed-width format (--fixed-width, -W)" dev-perl/Text-CharWidth
+	optfeature "threads support" virtual/perl-threads
+	elog
+	elog "Check the configuration file in ~/.config/youtube-viewer/"
+	elog "and configure your video player backend."
+}
+
+pkg_postrm() {
+	use gtk && gnome2_icon_cache_update
+}


             reply	other threads:[~2017-06-30 12:25 UTC|newest]

Thread overview: 61+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-06-30 12:25 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-01 12:04 [gentoo-commits] repo/gentoo:master commit in: net-misc/youtube-viewer/ Sam James
2024-06-20 23:08 Stefan Strogin
2023-01-24 13:32 Ionen Wolkens
2022-07-29  0:11 Stefan Strogin
2022-07-02 23:08 Sam James
2022-01-21 23:24 Stefan Strogin
2022-01-21 23:18 Stefan Strogin
2021-11-01 16:40 Stefan Strogin
2021-11-01 16:40 Stefan Strogin
2021-11-01 16:40 Stefan Strogin
2021-08-07 20:46 Stefan Strogin
2021-05-01 18:07 Sam James
2021-04-04 18:55 Andreas Sturmlechner
2020-11-26  3:42 Matt Turner
2020-09-07  8:55 David Seifert
2020-06-04 16:52 Aaron Bauman
2020-04-16  8:11 Joonas Niilola
2020-04-16  8:11 Joonas Niilola
2020-04-13 16:53 Agostino Sarubbo
2020-04-13 14:48 Agostino Sarubbo
2020-03-18  8:30 Joonas Niilola
2020-03-05 12:21 Joonas Niilola
2020-03-05 12:21 Joonas Niilola
2020-03-05 12:21 Joonas Niilola
2019-11-16  9:45 Joonas Niilola
2019-11-16  9:45 Joonas Niilola
2019-10-23  5:10 Joonas Niilola
2019-10-23  5:10 Joonas Niilola
2019-10-02 19:08 Agostino Sarubbo
2019-09-26 19:02 Thomas Deutschmann
2019-09-25 13:31 Joonas Niilola
2019-09-25 13:31 Joonas Niilola
2019-08-11 21:30 Thomas Deutschmann
2019-08-09  7:10 Agostino Sarubbo
2019-08-08 15:10 Joonas Niilola
2019-08-08 15:10 Joonas Niilola
2019-08-08 15:10 Joonas Niilola
2019-04-09 12:52 Patrice Clement
2018-04-25 21:49 Aaron Bauman
2018-04-20  7:24 Michał Górny
2018-04-18 16:30 Mikle Kolyada
2018-04-17 22:09 Thomas Deutschmann
2018-02-21  3:01 Thomas Deutschmann
2018-02-20 20:26 Patrice Clement
2017-08-26  6:50 Patrick Lauer
2017-03-19  4:12 Kent Fredric
2017-03-16  8:21 Amy Liffey
2016-12-02 19:19 Michał Górny
2016-11-20 22:03 Göktürk Yüksek
2016-05-22 19:35 Pacho Ramos
2016-05-07 21:24 Michał Górny
2016-03-26 12:35 Matthias Maier
2016-03-07  8:01 Jason Zaman
2016-02-13 15:33 Agostino Sarubbo
2016-02-08  2:23 Ian Delaney
2015-10-27 12:53 Julian Ospald
2015-10-27 12:36 Julian Ospald
2015-10-27 12:36 Julian Ospald
2015-10-27 12:36 Julian Ospald
2015-10-27 11:56 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1498825507.d255de756438544d0aeb12da260cc41483a4e5af.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox